<?php
require_once 'ControlDB.php';
class ControlOpIdioma {
	
	public function pegarTodosOpIdiomas() {
		$opIdioma = new Opidiomas();
		$opIdioma->find();
		return $opIdioma;
	}
	
	public function pegarUmOpIdioma($pk) {
		$opIdioma = new Opidiomas();
		$opIdioma->get($pk);
		return $opIdioma;
	}
	
	public function salvarOpIdioma(Opidiomas  $opIdioma) {
		$opIdioma->save();
		return 1;
	}
	
	public function excluirOpIdioma(Opidiomas  $opIdioma) {
		if ($opIdioma->getOpidiomasid() == 1)
		{
			return 0;
		} else {
			$opIdioma->delete();
			return 1;
		}
	}
        
        public function pegarTodosIdiomas() {
		$idioma = new Idioma();
		$idioma->find();
		return $idioma;
	}
	
	public function pegarUmIdioma($pk) {
		$idioma = new Idioma();
		$idioma->get($pk);
		return $idioma;
	}
	
	public function salvarIdioma(Idioma  $idioma) {
		$idioma->save();
		return 1;
	}
	
	public function excluirIdioma(Idioma  $idioma) {
			$idioma->delete();
			return 1;
	}
}


?>